#include <iostream>

using namespace std;

int main(void) {
	int decimale;
	
	cout << "Inserisci un numero decimale: ";
	cin >> decimale;
	
	if (decimale < 0 || decimale > 255) {
		cout << "Numero non valido!" << endl;
		
		return 0;
	}
	
	char esadecimale[3] = {0};
	int i = 0;
	
	if (decimale == 0) {
		esadecimale[i++] = '0';
	}
	
	while (decimale > 0) {
        int resto = decimale % 16;
        esadecimale[i++] = (resto < 10) ? ('0' + resto) : ('A' + resto - 10);
        decimale = decimale / 16;
    }
    esadecimale[i] = '\0';

    cout << "Numero esadecimale: ";
    for (int j = i - 1; j >= 0; j--) {
    	cout << esadecimale[j];
	}
    cout << endl;
	
	return 0;
}